Subject: Re: future of git-gui as subsytem or submodule

From: Jonathan Nieder <[email-masked]>
Date: Mon, 14 Feb 2011 16:17:38 -0600

Hi,

Two quick thoughts.

Heiko Voigt wrote:
> On Sun, Feb 13, 2011 at 11:51:04PM -0800, Junio C Hamano wrote:

>>  2. Just like the Linux kernel project, we can make each subsystem with
>>     separate maintainers just different repositories of the same git
>>     project with their own focus.  We already do this for git-svn (which I
[...]
> Another plus, if we extend that model to gitk, is that both could start
> sharing code between each other (maybe relocate to the same directory).

I think historically Paul has tried to maintain compatibility with
older git versions in gitk, to allow it to be used as a separate
project.

A dream would be for gitk and hgk to share code, but I'm not sure
anyone has even tried a proof-of-concept for that.